<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:import href="theme.xsl"/>
 <xsl:import href="text.xsl"/>
 <xsl:output method="html" encoding="ascii"/>
 <xsl:param name="date">today</xsl:param>

 <xsl:template match="/weblogs">
  <xsl:call-template name="counter"/>
  <center>
   <h1>
    <font color="{$title-color}">
     <xsl:value-of select="forewords/title"/>
    </font>
   </h1>
  </center>
  <xsl:call-template name="forewords"/>
  <xsl:call-template name="toc"/>
  <xsl:call-template name="weblogs"/>
  <xsl:call-template name="date"/>
 </xsl:template>

 <xsl:template name="forewords">
  <xsl:for-each select="forewords">
   <xsl:apply-templates/>
  </xsl:for-each>
 </xsl:template>

 <xsl:template name="toc">
  <table width="100%" border="1" cellpadding="10" cellspacing="0" 
	 bgcolor="{$toc-color}">
   <tr>
    <td>
     <xsl:for-each select="weblog">
      <xsl:sort select="@date" order="descending"/>
      <a href="#{@id}"><xsl:value-of select="title"/></a>
      <xsl:text>&#x00A0;</xsl:text>
      <font color="{$visited-link-color}">
       <xsl:text>(</xsl:text><xsl:value-of select="@date"/><xsl:text>)</xsl:text>
      </font>
      <xsl:if test="position() != last()"><xsl:text> -- </xsl:text></xsl:if>
     </xsl:for-each>
    </td>
   </tr>
  </table>
 </xsl:template>

 <xsl:template name="weblogs">
  <xsl:for-each select="weblog">
   <xsl:sort select="@date" order="descending"/>
   <a name="{@id}">
    <h2>
     <font color="{$link-color}"><xsl:value-of select="@date"/></font>
     <xsl:text> : </xsl:text>
     <font color="{$visited-link-color}"><xsl:value-of select="title"/></font>
    </h2>
   </a>
   <xsl:apply-templates/>
  </xsl:for-each>
 </xsl:template>

 <xsl:template name="date">
  <hr noshade="true" size="1"/>
  <font size="-1">
   Dernire compilation&#160;: <xsl:value-of select="$date"/>
  </font>
 </xsl:template>

 <!-- insert the counter -->
 <xsl:template name="counter">
  <img src="http://www.sdv.fr/cgi/gene/counter/nph-count?width=5&amp;link=casa/html/weblog.html" alt="Counter" border="0" width="1" height="1"/>
 </xsl:template>

</xsl:stylesheet>
